Package org.lwjgl.opengl

# Class ARBPipelineStatisticsQuery

java.lang.Object
org.lwjgl.opengl.ARBPipelineStatisticsQuery

public final class ARBPipelineStatisticsQuery extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_CLIPPING_INPUT_PRIMITIVES_ARB`
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:
`static final int`
`GL_CLIPPING_OUTPUT_PRIMITIVES_ARB`
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:
`static final int`
`GL_COMPUTE_SHADER_INVOCATIONS_ARB`
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:
`static final int`
`GL_FRAGMENT_SHADER_INVOCATIONS_ARB`
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:
`static final int`
`GL_GEOMETRY_SHADER_INVOCATIONS`
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:
`static final int`
`GL_GEOMETRY_SHADER_PRIMITIVES_EMITTED_ARB`
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:
`static final int`
`GL_PRIMITIVES_SUBMITTED_ARB`
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:
`static final int`
`GL_TESS_CONTROL_SHADER_PATCHES_ARB`
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:
`static final int`
`GL_TESS_EVALUATION_SHADER_INVOCATIONS_ARB`
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:
`static final int`
`GL_VERTEX_SHADER_INVOCATIONS_ARB`
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:
`static final int`
`GL_VERTICES_SUBMITTED_ARB`
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VERTICES_SUBMITTED_ARB

public static final int GL_VERTICES_SUBMITTED_ARB
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:

See Also:
  - Constant Field Values

### GL_PRIMITIVES_SUBMITTED_ARB

public static final int GL_PRIMITIVES_SUBMITTED_ARB
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:

See Also:
  - Constant Field Values

### GL_VERTEX_SHADER_INVOCATIONS_ARB

public static final int GL_VERTEX_SHADER_INVOCATIONS_ARB
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:

See Also:
  - Constant Field Values

### GL_TESS_CONTROL_SHADER_PATCHES_ARB

public static final int GL_TESS_CONTROL_SHADER_PATCHES_ARB
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:

See Also:
  - Constant Field Values

### GL_TESS_EVALUATION_SHADER_INVOCATIONS_ARB

public static final int GL_TESS_EVALUATION_SHADER_INVOCATIONS_ARB
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:

See Also:
  - Constant Field Values

### GL_GEOMETRY_SHADER_INVOCATIONS

public static final int GL_GEOMETRY_SHADER_INVOCATIONS
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:

See Also:
  - Constant Field Values

### GL_GEOMETRY_SHADER_PRIMITIVES_EMITTED_ARB

public static final int GL_GEOMETRY_SHADER_PRIMITIVES_EMITTED_ARB
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:

See Also:
  - Constant Field Values

### GL_FRAGMENT_SHADER_INVOCATIONS_ARB

public static final int GL_FRAGMENT_SHADER_INVOCATIONS_ARB
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:

See Also:
  - Constant Field Values

### GL_COMPUTE_SHADER_INVOCATIONS_ARB

public static final int GL_COMPUTE_SHADER_INVOCATIONS_ARB
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:

See Also:
  - Constant Field Values

### GL_CLIPPING_INPUT_PRIMITIVES_ARB

public static final int GL_CLIPPING_INPUT_PRIMITIVES_ARB
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:

See Also:
  - Constant Field Values

### GL_CLIPPING_OUTPUT_PRIMITIVES_ARB

public static final int GL_CLIPPING_OUTPUT_PRIMITIVES_ARB
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryiv, BeginQueryIndexed, EndQueryIndexed and GetQueryIndexediv:

See Also:
  - Constant Field Values